%global stackname std_msgs
%global gitrev fcd2c76
Name:           ros-%{rosrelease}-std-msgs
Version:        0.5.7
Release:        1
Summary:        Collection of CMake macros for ROS

License:        BSD
URL:            http://www.ros.org/wiki/std_msgs
#wget --content-disposition https://github.com/ros/std_msgs/tarball/0.5.7
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}
Provides:       ros-std-msgs = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-release
BuildRequires:  python-catkin
BuildRequires:  ros-%{rosrelease}-message-generation

%description
%{name} decouples code generation from ROS msg & srv files from the 
parsing of these files and from impementation details of the build 
system

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
mkdir build
pushd build
%cmake \
  -DCATKIN_GLOBAL_LIB_DESTINATION=%{_lib} \
  -DCATKIN_GLOBAL_LIBEXEC_DESTINATION=libexec \
  -DCMAKE_PREFIX_PATH=/usr \
  -DCATKIN_LOG=2 \
  ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_libdir}/pkgconfig/%{stackname}.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/.catkin $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/.rosinstall $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/_setup_util.py $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}/
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}/

%files
#%doc
%{_includedir}/%{stackname}
%{_datadir}/%{stackname}
%{_datadir}/pkgconfig/*.pc
%{python_sitelib}/%{stackname}
%{_datadir}/common-lisp/ros/%{stackname}
#%{python_sitelib}/*egg-info


%changelog
* Wed Jan 02 2013 Rich Mattes <richmattes@gmail.com> - 0.5.7-1
- Update to release 0.5.7

* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 0.4.8-1.gitef63d31
- Initial package
